Subject: RE: bug#38818: Dired: mention deleting buffers, not just windows

From: Drew Adams <[email-masked]>
Date: Wed, 1 Jan 2020 19:29:50 -0800 (PST)

> How about this addition?

LGTM.

> +  It works to put a @code{lambda}-expression function on a hook, but
> +we recommend avoiding this because it can lead to confusion.  If you
> +add the same @code{lambda}-expression a second time but write it
> +slightly differently, you will get two equivalent but distinct
> +functions on the hook.  If you then remove one of them, the other will
> +still be on it.

But see Noam's reply to my message.

Given that, we might want to describe better
how two lambda forms that you might think
represent the same function can be considered
different in this context.

(I know I've been bitten by that, in particular
not recalling exactly how I wrote a lambda form
that I added, when I later wanted to remove it,
and not bothering to check its form on the hook.
But I'm sure Noam is right in what he says.)

Alternatively, maybe the language should just
be vague enough to skirt the conditions that
can treat two seemingly "equal" anonymous
functions as different.  IOW, that's not really
the point here, which is just to tell users that
they probably want to use named functions on hooks.

Your "because it can lead to confusion" is maybe
sufficient, here.